<kd-card role="table"
         [hidden]=false>
  <div title
       fxLayout="row"
       i18n>Tree of {{hierarchyName}} hierarchy</div>
  <div description><span class="kd-muted-light"
                         i18n>Items:&nbsp;</span>{{getNumberOfItems()}}</div>
  <div actions>
    <kd-card-list-filter></kd-card-list-filter>
  </div>
  <div content
       [hidden]="false">
    <mat-list>
      <mat-list-item *ngFor="let entry of getEntries()">

        <mat-icon matListIcon><div *ngIf="entry.isFolder">folder</div><div *ngIf="!entry.isFolder">cloud</div></mat-icon>
        <a matLine [routerLink]="getLink(entry)" queryParamsHandling="preserve">{{ entry.name }}</a>
        <div *ngIf="entry.name !== '..'"><mat-checkbox [(ngModel)]="entry.isSelected" (ngModelChange)="update(entry)"></mat-checkbox></div>

      </mat-list-item>
    </mat-list>
  </div>
</kd-card>
